本来设置好的2.0,偶尔就会变回1.1不知道什么原因。
搜集了一下方法,一次全部修改.

如果是windows2003系统,默认安装了版本为1.1.4322的framework,所以iis6中网站中的ASP.NET默认版本为1.1的。即使安装了framework2.0以上的版本,iis6中的framework还是1.1,无法进行修改。

无法修改iis6全局默认asp.net版本

由于版本比较久,所以更改为2.0+以上framework比较通用,这样就不需要每次建立新站点的时候修改默认framework的版本的了。

在确保已经安装两个以上的.NET版本后,如果看到ASP.NET选项卡的ASP.NET版本为灰色,不能下拉,在cmd命令行窗口下运行命令下

C:/WINDOWS/Microsoft.NET/Framework/v2.0.50727/aspnet_regiis.exe -i

其中红色部分为你要设为默认的ASP.NET版本号,根据自己的情况设置。运行完毕后iis6默认的framework版本就是v2.0.50727的了。

修改iis6网站默认framework版本

分享到: